QGIS Application - Bug report #6473
QGIS crashes when opening the attribute table of a geometryless WFS layer
2012-10-06 05:55 PM - Chris Smith

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:1.8.0 Regression?: No
Operating System: Windows Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corruptsdata: Copied to github as #: 15704
Description

Using QGIS 1.8 on Windows 7 Pro 64bit, if | attempt to add a layer from a WFS source where the layer has no geometry then QGIS
crashes.

History

#1 - 2012-10-07 03:12 AM - Giovanni Manghi
- Status changed from Open to Feedback

A patch to support geometryless wfs tables was added to qgis master a couple of days ago. Please give it a try and report back.

#2 - 2012-10-07 03:45 PM - Chris Smith

| tried qgis master and i can now add the layer however | now get a crash when i try to open the attribute table.

#3 - 2012-12-27 12:55 PM - Giovanni Manghi
- Subject changed from QGIS crashes when loading a WFS layer with no geometry to QGIS crashes when opening the attribute table of a geometryless
WFS layer

#4 - 2012-12-30 09:39 AM - Giovanni Manghi

- Priority changed from Normal to Severe/Regression

support for geometryless wfs tables is a new feature and should work ok before shipping any new qgis release.

#5 - 2013-04-03 10:33 AM - Jeremy Palmer

This works for me on master. Chris can you confirm this is still an issue?

If it is still an issue can you provide a example URL and typeName?

#6 - 2013-04-04 11:48 AM - Giovanni Manghi

Jeremy Palmer wrote:
This works for me on master. Chris can you confirm this is still an issue?

If it is still an issue can you provide a example URL and typeName?

| just tested with qgis master both on desktop and server.

It doesn't crash, but the geometryless tables does not show in the desktop. In the TOC the geometryless table does not show with the right icon. Don't know

if is a server or client issue.

If someone can provide a url with a geomteryless server available on server different from qgis server | can test, and then eventually file a ticket against

qgis server.

#7 - 2013-06-01 03:16 PM - Giovanni Manghi
- Resolution set to fixed

- Status changed from Feedback to Closed

it works now with QGIS server, if this is still an issue with other servers please reopen.
